# Uses of Enum Class
org.eclipse.net4j.util.security.CredentialsUpdateOperation

Packages that use CredentialsUpdateOperation
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.
org.eclipse.net4j.util.ui.security
Credentials dialogs.

## Uses of CredentialsUpdateOperation in org.eclipse.net4j.util.security

Methods in org.eclipse.net4j.util.security that return CredentialsUpdateOperation
Modifier and Type
Method
Description
`static CredentialsUpdateOperation`
CredentialsUpdateOperation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CredentialsUpdateOperation[]`
CredentialsUpdateOperation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.util.security with parameters of type CredentialsUpdateOperation
Modifier and Type
Method
Description
`IPasswordCredentialsUpdate`
IPasswordCredentialsUpdateProvider.`getCredentialsUpdate(String realm, String userID, CredentialsUpdateOperation operation)`
`IPasswordCredentialsUpdate`
IPasswordCredentialsUpdateProvider.`getCredentialsUpdate(String userID, CredentialsUpdateOperation operation)`

## Uses of CredentialsUpdateOperation in org.eclipse.net4j.util.ui.security

Methods in org.eclipse.net4j.util.ui.security with parameters of type CredentialsUpdateOperation
Modifier and Type
Method
Description
`IPasswordCredentialsUpdate`
InteractiveCredentialsProvider.`getCredentialsUpdate(String realm, String userID, CredentialsUpdateOperation operation)`
`IPasswordCredentialsUpdate`
InteractiveCredentialsProvider.`getCredentialsUpdate(String userID, CredentialsUpdateOperation operation)`